cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Google location picker widget problems

Level 4

Google location picker widget problems

Hello everyone,

 

i´ve got a Problem imported the google location picker. And i wanted to use the Map View funciton in the mashup, in the log it shows following: 

 

Google maps connection String is not present
23:02:17 ERROR - series cleanup error: TypeError: Cannot read property 'hide' of undefined
23:02:17 ERROR - Not able to instantiate google
 
Thank you in advance.
 
dear johannes
 Unbenannt.pngUnbenannt.png
6 REPLIES

Re: Google location picker widget problems

Hi @Johannes_T.

 

Which version of ThingWorx are you running?  And which version of the Google widgets did you import?

 

Depending on the version of ThingWorx and Google extension you're running, it may be necessary for you to obtain a Google API key.   This information may be helpful for obtaining and configuring the API key.

 

Regards.

 

--Sharon

 

If my response has answered your question, please mark it as the Accepted Solution, for the benefit of others who may have the same question.

Re: Google location picker widget problems

Im sorry i have tried to solve the problem. Got now a key but i used the google map extension pack 3.0.2. When i open the meta.xml file there is specialy now url inside anymore to edit. I try to copy the file inside and zip it again but i get all the time the sam error. Any idea ? Thank you in advance

Re: Google location picker widget problems

Hi @Johannes_T.

 

I'm not clear on what you're saying in regard to the metadata.xml file.  Can you either provide some screenshots showing the change you made or provide your metadata.xml file?  You may want to send this me under private email since it will contain your key.  You can do so through the Community site.

 

Also which version of ThingWorx are you running?

 

Regards.

 

--Sharon

Re: Google location picker widget problems

Thanks Sharon, taking care of me i need it for a project at school. Anyway just when i open the zp package of the 3.0.2 version. At the moment im using the thingworx version ThingWorx 8.3.2-b535. And want to add the google maps extension. 

 

pictureerror.pngthis is the rror

So my plan was to add the API Code to the 3.0.2 version and zip it again, but then it shows me that error. Im now certainly not sure if i zip it maybe again wrong, or the url code is wrong. Thank you a lot

 

First one is the 3.0. version id like to add there my API inside but the Url is missing so i did it as it is in the further one.

 

this is the further one as you can see the API URL

 

Regards

 

Johannes

 

Highlighted

Re: Google location picker widget problems

Hi @Johannes_T.

 

This article may help solve your problem.  If you still have issues, please email me your key so I can test it here.

 

Regards.

 

--Sharon

Re: Google location picker widget problems

Hi @Johannes_T.

 

If the previous response helped you to resolve your issue, please mark it as the Accepted Solution for the benefit of others who may have the same question.  However, if you are still struggling, please provide us with the artifacts previously requested so we can test it here.

 

Thank you for using our Community.

 

Regards.

 

--Sharon